Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038679
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2018-06-01 11:172018-08-08 12:52
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision7a4554ef6d4a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038679: remove obsolete License features

DescriptionSome of the features implemented in Openbravo License have become obsolote, they should be removed.

They are:
1. On demand: which has been replaced by Openbravo Cloud. There were specific rules for On Demand licenses. If an instance is using an On Demand license, it should contact Openbravo Support to get a new one.
2. Named users. It was possible to limit Openbravo so it only one concurrent session for the same user is allowed. This was enforced for On Demand licenses but it was also allowed for any instance by setting it in Openbravo.properties through login.limit.user.session property. This feature will be completely removed so it won't be possible to use in any instance.
3. Commercial module tiers. This allowed to differentiate the type of license (Standard or Basic) modules were available for. Basic licenses were discontinued time ago, so commercial modules will not have to define it anymore.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0020725 closedplatform For OnDemand licenses used outside of onDemand relation of 'Instance purpose' to applied restrictions is not clear. 
depends on defect 0038681 closedplatform API change: removed License features 
blocks design defect 0032688 acknowledgedplatform remove unused resources 
causes defect 0039230 closedAugustoMauch Cannot install a module by adding the OBX in Module Management window 

-  Notes
(0104871)
hgbot (developer)
2018-06-01 12:50

Repository: erp/devel/pi
Changeset: 7a4554ef6d4aec661601cddaac3b4212ab8e8371
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jun 01 11:56:17 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7a4554ef6d4aec661601cddaac3b4212ab8e8371 [^]

fixes 38679: remove obsolete License features

  Removed:
   - On demand license
   - Named users restrictions
   - Commercial module tiers

---
M config/Openbravo.properties.template
M modules/org.openbravo.client.application/src/org/openbravo/client/application/HeartBeatPopUpComponent.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/classic/ob-classic-compatibility.js
M src-db/database/model/tables/AD_MODULE.xml
M src-db/database/model/tables/AD_MODULE_INSTALL.xml
M src-db/database/model/triggers/AD_MODULE_TRG2.xml
M src-db/database/model/triggers/AD_MODULE_VERSION_TRG.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src/org/openbravo/base/secureApp/LoginHandler.java
M src/org/openbravo/erpCommon/ad_forms/InstanceManagement.html
M src/org/openbravo/erpCommon/ad_forms/InstanceManagement.java
M src/org/openbravo/erpCommon/ad_forms/InstanceManagement.xml
M src/org/openbravo/erpCommon/ad_forms/InstanceManagementActivateOnline.xml
M src/org/openbravo/erpCommon/ad_forms/InstancePurpose.java
M src/org/openbravo/erpCommon/ad_process/HeartbeatProcess.java
M src/org/openbravo/erpCommon/obps/ActivationKey.java
M src/org/openbravo/erpCommon/obps/ActiveInstanceProcess.java
---
(0104875)
alostale (developer)
2018-06-01 13:24

List of changesets in commercial modules removing ad_module.commercial_tier column:

https://code.openbravo.com/erp/pmods/org.openbravo.authorize.net/rev/0d08b67afe4b [^]
https://code.openbravo.com/erp/pmods/org.openbravo.bankstatement.importer.generic.csv/rev/0e0059803ea2 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.bankstatement.importer.wepay.csv/rev/507fa008a9fa [^]
https://code.openbravo.com/erp/pmods/org.openbravo.client.analytics/rev/3662f97ea99b [^]
https://code.openbravo.com/erp/pmods/org.openbravo.erputil.carrierintegration/rev/d4f2531f26a6 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.erputil.carrierintegration.es_ES/rev/e3bed84ea990 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.erputil.carrierintegration.seurspain/rev/78ddba0f0de3 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.finance.checkprinting/rev/b73c6e876833 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.finance.checkprinting.es_ES/rev/8722c706773d [^]
https://code.openbravo.com/erp/pmods/org.openbravo.financial.bpsettlement/rev/b03c013828a9 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.financial.conversionrates/rev/e7ad2fd0afe1 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.financial.dimensionalpandlreport/rev/71e65bf17d7f [^]
https://code.openbravo.com/erp/pmods/org.openbravo.financial.dimensionalreports/rev/0ebecf03a163 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.financial.dimensionaltrialbalancereport/rev/e402ac068d10 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.financial.invoicepaymentreport/rev/3bd424121a22 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.financial.invoicetaxreport/rev/9ce68026d646 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.financial.multitaxcategory/rev/1cb52b08d838 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.financial.paymentpriorities/rev/5a001fccc767 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.generic.copy.record/rev/18fcd4f76df0 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.idl.variants/rev/55c443adaff7 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.integration.alfresco/rev/fc2adf49bcf4 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.integration.google/rev/f015d29c4c13 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.integration.google.calendar/rev/1394123853f5 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.integration.google.calendar.es_ES/rev/1feb86c26899 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.integration.google.es_ES/rev/4f7137a5cc0f [^]
https://code.openbravo.com/erp/pmods/org.openbravo.integration.google.signin/rev/90967fc5a1c3 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.materialmgmt.catalog/rev/f8567f9611df [^]
https://code.openbravo.com/erp/pmods/org.openbravo.materialmgmt.catalog.es_ES/rev/9a97a983e44b [^]
https://code.openbravo.com/erp/pmods/org.openbravo.materialmgmt.freightmgmt/rev/7a5591eec0ec [^]
https://code.openbravo.com/erp/pmods/org.openbravo.materialmgmt.freightmgmt.es_ES/rev/ccdf4aeffa38 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/ecbb39d29ace [^]
https://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.es_ES/rev/23e0cc56d3af [^]
https://code.openbravo.com/erp/pmods/org.openbravo.mobile.procurement/rev/1d381154a58a [^]
https://code.openbravo.com/erp/pmods/org.openbravo.mobile.warehouse/rev/d611c28cd2f5 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.mobile.warehouse.es_ES/rev/c7f6495d8c4a [^]
https://code.openbravo.com/erp/pmods/org.openbravo.mobile.warehouse.physicalinventory/rev/ee61eb5ea990 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.mobile.warehouse.picking/rev/b5ce630785d6 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.module.invoicematchingalgorithm/rev/5ca4ba4228a2 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.module.standardOFX/rev/7e8d0df73768 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.multiupc/rev/8a87951c333e [^]
https://code.openbravo.com/erp/pmods/org.openbravo.multiupc.es_ES/rev/1aa4a288f745 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.paymentgateway.elementps/rev/79707e8d315a [^]
https://code.openbravo.com/erp/pmods/org.openbravo.pricing.levelpricing/rev/d8e47f1b71da [^]
https://code.openbravo.com/erp/pmods/org.openbravo.pricing.scalablelevelpricing/rev/a02b2abd72c1 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.activediscountspopup/rev/3c9c86cb2bef [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.analytics/rev/b9cff580bd8f [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.autobom/rev/bea8469c14af [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.bestsellers/rev/df717132adf9 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.bestsellers.es_ES/rev/9e6e7b048f30 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.complementary/rev/ead2c89c46e6 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/dd98dc232e35 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.config.es_ES/rev/3ec821912f4f [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.copybestsellers/rev/4a99d548e143 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.copybestsellers.es_ES/rev/1265992f807a [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.copystore/rev/785d94da8ab3 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.copystore.es_ES/rev/415b8e7039e9 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.digitalcoupons/rev/4622af500122 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.discount.twofamiliescombo/rev/f83519362976 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.discount.twofamiliescombo.es_ES/rev/81274f448ee0 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/1acba640d315 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.bestdeal/rev/ce24e8b6c987 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.bestdeal.es_ES/rev/89b90e17953a [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.bypaymentmethod/rev/ee239159b94a [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.bytotal/rev/099bf3a8a38b [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.bytotal.es_ES/rev/92b1380a7f12 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.category/rev/e728a2f9facc [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo/rev/ad02f88b6c98 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo.es_ES/rev/6b8fa386582d [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.coupons/rev/54664e65d226 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.coupons.codegenerator/rev/94e5e5088c8f [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.discountmatrixmanagement/rev/d87ecfa563b3 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.es_ES/rev/21a6df28a519 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.fastbrowse/rev/8fadf442ddc8 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.fiscalprinters/rev/b9f0e8b395d3 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/a672022da01e [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards.es_ES/rev/4334dfc5d844 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.levelpricing/rev/83c9bde8473c [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.marginindicator/rev/fbe70f27efcc [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.multiupc/rev/2235d7880951 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.multiupc.es_ES/rev/56d2b07d6be5 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.pack/rev/a32763901327 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.pack.es_ES/rev/a3c715f747b7 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.paymentgateway/rev/021961e444de [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.poshwmanager/rev/e063b36688b7 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0dfb652237f8 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.es_ES/rev/838036efc509 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.postest/rev/bfcff2cd3766 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.pricecriteria/rev/720eb318c9b4 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.printlast/rev/96f2c13694d1 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.printlast.es_ES/rev/5bce472a6e71 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.receiptreport/rev/82e0eba4a43b [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/11990bc2a686 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.returns.es_ES/rev/591d9f60dc55 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.salesrepresentative/rev/ab86e2042adf [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.scanreceipt/rev/a49efc6424ef [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.selfcheckout/rev/7dc63e76e0b1 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.servicesequence/rev/6b9b6d72ca99 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/72becc077fa7 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions.es_ES/rev/71013a7b13d5 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.showprodsk/rev/2dfbc166f86e [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.showprodsk.es_ES/rev/d2dd2c90a7e0 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.stockcriteria/rev/16fa88bf9c89 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.stockvalidation/rev/f8c04065f743 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.taxexempt/rev/d16aedc06732 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.taxexempt.es_ES/rev/5be61076d3fd [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/571681f8ec07 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.trainingmode/rev/14414864573d [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.trainingmode.es_ES/rev/6f2dc3f695d4 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.unittest/rev/d1f45ad6443c [^]
https://code.openbravo.com/erp/pmods/org.openbravo.sepa.iso20022.camt/rev/38f09e1a6793 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.service.integration.amazon.s3//rev/0acc10362f19 [^]
https://code.openbravo.com/erp/pmods-branches/org.openbravo.test.mobile.sampledata/rev/79e14de7d95f [^]
https://code.openbravo.com/erp/pmods/org.openbravo.utility.monitoring.appdynamics/rev/d0a041e8f763 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.utility.zoho/rev/5ca1602dbc2d [^]
https://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/98cc08336bbb [^]
https://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/rev/24268baa7fd8 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.printing.bartender/rev/b92535c64d97 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.retailconnector/rev/9d30a41baf84 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.template/rev/2951d7b4d85c [^]
(0104899)
hgbot (developer)
2018-06-04 08:26

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: b06fa74e28952b0da857588404e2b371a4a3cc7e
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Jun 04 08:26:15 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/b06fa74e28952b0da857588404e2b371a4a3cc7e [^]

related to issue 38679: removed obsolete AD_MODULE.COMMERCIAL_TIER

---
M src-db/database/sourcedata/AD_MODULE.xml
---
(0104900)
hgbot (developer)
2018-06-04 08:41

Repository: erp/devel/pi
Changeset: e7f187bd72387cf8a2cc525fa67760772f9f6e36
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Jun 04 08:39:10 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e7f187bd72387cf8a2cc525fa67760772f9f6e36 [^]

related to issue 38679: removed unused message

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_MESSAGE.xml
---
(0104957)
hudsonbot (developer)
2018-06-05 17:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8317f2f73d00 [^]
Maturity status: Test
(0105029)
caristu (developer)
2018-06-08 09:17

Code Reviewed + Tested OK. See: https://docs.google.com/spreadsheets/d/1G_tIni8u9fgcTMXs79Qzw2RQzREAJpCLKVKx-Wnpb5o/edit#gid=0 [^]

- Issue History
Date Modified Username Field Change
2018-06-01 11:17 alostale New Issue
2018-06-01 11:17 alostale Assigned To => alostale
2018-06-01 11:17 alostale Modules => Core
2018-06-01 11:17 alostale Triggers an Emergency Pack => No
2018-06-01 11:17 alostale Review Assigned To => caristu
2018-06-01 11:18 alostale Relationship added blocks 0032688
2018-06-01 11:49 alostale Relationship added depends on 0038681
2018-06-01 12:50 hgbot Checkin
2018-06-01 12:50 hgbot Note Added: 0104871
2018-06-01 12:50 hgbot Status new => resolved
2018-06-01 12:50 hgbot Resolution open => fixed
2018-06-01 12:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7a4554ef6d4aec661601cddaac3b4212ab8e8371 [^]
2018-06-01 13:24 alostale Note Added: 0104875
2018-06-04 08:26 hgbot Checkin
2018-06-04 08:26 hgbot Note Added: 0104899
2018-06-04 08:41 hgbot Checkin
2018-06-04 08:41 hgbot Note Added: 0104900
2018-06-05 17:29 hudsonbot Checkin
2018-06-05 17:29 hudsonbot Note Added: 0104957
2018-06-08 09:17 caristu Note Added: 0105029
2018-06-08 09:17 caristu Status resolved => closed
2018-06-08 09:17 caristu Fixed in Version => 3.0PR18Q3
2018-08-08 12:52 caristu Relationship added related to 0020725
2018-09-05 17:42 ngarcia Relationship added causes 0039230


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker